%global ubuntu 16.04
%global snapshot 20160218

%global __cmake_in_source_build 1

Summary: A Qt implementation of the DBusMenu protocol 
Name:    dbusmenu-qt
Version: 0.9.3
Release: 0.1.%{snapshot}%{?dist}
License: LGPL-2.0-or-later
URL: https://launchpad.net/libdbusmenu-qt/
%if 0%{?snapshot}
Source0:  https://launchpad.net/ubuntu/+archive/primary/+sourcefiles/libdbusmenu-qt/%{version}+%{ubuntu}.%{snapshot}-0ubuntu1/libdbusmenu-qt_%{version}+%{ubuntu}.%{snapshot}.orig.tar.gz
%else
Source0:  https://launchpad.net/libdbusmenu-qt/trunk/%{version}/+download/libdbusmenu-qt-%{version}.tar.bz2
%endif
BuildRequires: cmake, gcc-c++, pkgconfig
BuildRequires: doxygen
BuildRequires: qt5-qtbase-devel

Provides: libdbusmenu-qt = %{version}-%{release}



%description
This library provides a Qt implementation of the DBusMenu protocol.
.
The DBusMenu protocol makes it possible for applications to export and import
their menus over DBus.

%package -n dbusmenu-qt5
Summary: A Qt implementation of the DBusMenu protocol
Provides: libdbusmenu-qt5 = %{version}-%{release}

%description -n dbusmenu-qt5
This library provides a Qt5 implementation of the DBusMenu protocol.
.
The DBusMenu protocol makes it possible for applications to export and import
their menus over DBus.

%package -n dbusmenu-qt5-devel
Summary: Development files for dbusmenu-qt5
Provides: libdbusmenu-qt5-devel = %{version}-%{release}
Requires: dbusmenu-qt5 = %{version}-%{release}

%description -n dbusmenu-qt5-devel
%{summary}.



%prep
%autosetup -n libdbusmenu-qt-%{version}+%{ubuntu}.%{snapshot}



%build
mkdir %{_target_platform}-qt5

pushd %{_target_platform}-qt5
%cmake .. \
  -DUSE_QT4:BOOL=OFF \
  -DUSE_QT5:BOOL=ON \
  -DWITH_DOC:BOOL=OFF

popd

%make_build -C %{_target_platform}-qt5



%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}-qt5
rm -rfv %{buildroot}%{_docdir}/libdbusmenu-qt*-doc



%check



%files -n dbusmenu-qt5
%license COPYING
%doc README
%{_libdir}/libdbusmenu-qt5.so.2*

%files -n dbusmenu-qt5-devel
%{_libdir}/libdbusmenu-qt5.so
%{_libdir}/pkgconfig/dbusmenu-qt5.pc
%{_includedir}/dbusmenu-qt5/
%{_libdir}/cmake/dbusmenu-qt5/



%changelog
* Wed Jul 19 2023 Zhao Zhen <jeremiazhao@tencent.com> - 0.9.3-0.1.20160218
- initial